Create Memory
curl --request POST \
--url https://api.example.com/api/profiles/{id}/memories \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"type": "<string>",
"importance": 123
}
'import requests
url = "https://api.example.com/api/profiles/{id}/memories"
payload = {
"content": "<string>",
"type": "<string>",
"importance": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', type: '<string>', importance: 123})
};
fetch('https://api.example.com/api/profiles/{id}/memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memory": {
"id": "mem-125",
"content": "Customer has enterprise support contract",
"type": "fact",
"importance": 0.9,
"decayFactor": 1.0,
"createdAt": "2024-01-15T00:00:00Z",
"lastAccessedAt": null
}
}
Memories API
Create Memory
Manually add a memory to a profile
POST
/
api
/
profiles
/
{id}
/
memories
Create Memory
Overview
Manually creates a new memory for a user profile. Use this to add context that wasn’t captured during conversations.Path Parameters
string
required
Profile ID
Request Body
string
required
The memory content
string
required
Memory type:
fact, preference, event, or contextnumber
Importance score (0.0-1.0). Default: 0.5
Response
{
"memory": {
"id": "mem-125",
"content": "Customer has enterprise support contract",
"type": "fact",
"importance": 0.9,
"decayFactor": 1.0,
"createdAt": "2024-01-15T00:00:00Z",
"lastAccessedAt": null
}
}
Example
curl -X POST https://api.yourserver.com/api/profiles/user-123/memories \
-H "Authorization: Bearer gp_your_key" \
-H "Content-Type: application/json" \
-d '{
"content": "Customer has enterprise support contract",
"type": "fact",
"importance": 0.9
}'
⌘I